libsndfile1-1.0.28-3.1.mga6.i586.rpm


Advertisement

Description

libsndfile1 - Shared library of sndfile

Property Value
Distribution Mageia 6.1
Repository Mageia Core Updates i586
Package name libsndfile1
Package version 1.0.28
Package release 3.1.mga6
Package architecture i586
Package type rpm
Installed size 569.06 KB
Download size 201.45 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
libsndfile is a C library for reading and writing sound files such as
AIFF, AU and WAV files through one standard interface. It can currently
read/write 8, 16, 24 and 32-bit PCM files as well as 32-bit floating
point WAV files and a number of compressed formats.
This package contains the shared library to run applications based on
libsndfile.

Alternatives

Package Version Architecture Repository
libsndfile1-1.0.28-3.3.mga6.i586.rpm 1.0.28 i586 Mageia Core Updates
libsndfile1-1.0.28-3.2.mga6.i586.rpm 1.0.28 i586 Mageia Core Updates
libsndfile1-1.0.28-3.mga6.i586.rpm 1.0.28 i586 Mageia Core
libsndfile1 - - -

Requires

Name Value
libFLAC.so.8 -
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.2) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libogg.so.0 -
libvorbis.so.0 -
libvorbisenc.so.2 -

Provides

Name Value
libsndfile.so.1 -
libsndfile.so.1(libsndfile.so.1.0) -
libsndfile1 == 1.0.28-3.1.mga6
libsndfile1(x86-32) == 1.0.28-3.1.mga6

Download

Type URL
Binary Package libsndfile1-1.0.28-3.1.mga6.i586.rpm
Source Package libsndfile-1.0.28-3.1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libsndfile1 rpm package:
    # urpmi libsndfile1

Files

Path
/usr/lib/libsndfile.so.1
/usr/lib/libsndfile.so.1.0.28
/usr/share/doc/libsndfile1/AUTHORS
/usr/share/doc/libsndfile1/NEWS
/usr/share/doc/libsndfile1/README

Changelog

2017-09-08 - mrambo3501 <mrambo3501> 1.0.28-3.1.mga6
+ Revision: 1151988
- Added upsteam patch which fixes CVE-2017-12562 mga#21618
2017-06-24 - luigiwalser <luigiwalser> 1.0.28-3.mga6
+ Revision: 1108340
- add patch from fedora to fix CVE-2017-6892
2017-06-05 - luigiwalser <luigiwalser> 1.0.28-2.mga6
+ Revision: 1106802
- add patches from opensuse to fix CVE-2017-836[1235]
2017-05-16 - luigiwalser <luigiwalser> 1.0.28-1.mga6
+ Revision: 1102225
- 1.0.28
2016-08-10 - luigiwalser <luigiwalser> 1.0.27-1.mga6
+ Revision: 1045288
- 1.0.27
2016-01-03 - luigiwalser <luigiwalser> 1.0.26-1.mga6
+ Revision: 918821
- 1.0.26
- remove patches 0, 2, 3, and 4 (fixed upstream)
2015-11-17 - luigiwalser <luigiwalser> 1.0.25-10.mga6
+ Revision: 903903
- add patches from opensuse to fix CVE-2015-7805 and CVE-2015-8075
2014-12-25 - luigiwalser <luigiwalser> 1.0.25-9.mga5
+ Revision: 805967
- rediff upstream patch to fix buffer overreads
2014-12-24 - luigiwalser <luigiwalser> 1.0.25-8.mga5
+ Revision: 805445
- add upstream patch to fix potential divide-by-zero
2014-10-15 - umeabot <umeabot> 1.0.25-7.mga5
+ Revision: 748210
- Second Mageia 5 Mass Rebuild

See Also

Package Description
libsodium-devel-1.0.14-1.mga6.i586.rpm Headers and development files for the sodium library
libsodium18-1.0.14-1.mga6.i586.rpm The sodium library
libsolid4-4.14.35-1.mga6.i586.rpm KDE 4 core library
libsolv-demo-0.6.28-1.1.mga6.i586.rpm Application demoing the libsolv library
libsolv-demo-0.6.30-1.mga6.i586.rpm Application demoing the libsolv library
libsolv-devel-0.6.28-1.1.mga6.i586.rpm Development files for libsolv
libsolv-devel-0.6.30-1.mga6.i586.rpm Development files for libsolv
libsolv-doc-0.6.28-1.1.mga6.i586.rpm Documentation for libsolv
libsolv-doc-0.6.30-1.mga6.i586.rpm Documentation for libsolv
libsolv-tools-0.6.28-1.1.mga6.i586.rpm A new approach to package dependency solving
libsolv-tools-0.6.30-1.mga6.i586.rpm A new approach to package dependency solving
libsolv0-0.6.28-1.1.mga6.i586.rpm Libraries for libsolv
libsolv0-0.6.30-1.mga6.i586.rpm Libraries for libsolv
libsoundtouch-devel-1.9.2-2.1.mga6.i586.rpm Development package with static libs and headers
libsoundtouch-devel-1.9.2-2.2.mga6.i586.rpm Development package with static libs and headers
Advertisement
Advertisement